[Prev: STDERR] | [Resources][TOC] | [Next: STDOUT]

# STDIN

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  N/A

Element

  N/A

Command-line Option

  `-stdin filename`

## Description

STDIN can be used to specify a file to treat as standard input.

Note, most system shells (Unix) provide the ability to redirect standard input from a file or other process. STDIN is provided where such functionality is not available or easy to achieve.

## Default Setting

The default location of standard input, which is usually the terminal.

## Resource Variables

N/A

## Examples

One way to perform an ADD operation for a single message is something like the following:

        shell> mhonarc -add -outdir /path/to/archive -stdin mesg.822

However, any decent shell would allow:

        shell> mhonarc -add -outdir /path/to/archive < mesg.822

## Version

2.4.2

## See Also

STDERR, STDOUT

[Prev: STDERR] | [Resources][TOC] | [Next: STDOUT]